/*
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */

package org.objectweb.jonas.jtests.clients.entity;

import junit.framework.Test;
import junit.framework.TestSuite;
import org.objectweb.jonas.jtests.util.JTestCase;

/**
 * This test suite is used to pass "CMP1 entity" tests only.
 * Beans used: annuaire, ebasic
 * @author Philippe Durieux (jonas team)
 */
public class C_cmp1 extends JTestCase {

    public C_cmp1(String name) {
	super(name);
    }

    public static Test suite() {
	TestSuite suite = new TestSuite();
	suite.addTest(F_BasicHomeInterfaceEB.suite());
	suite.addTest(F_BasicHomeSharedEB.suite());
	suite.addTest(F_BasicHomeInterfaceEC.suite());
	suite.addTest(F_AdvancedHomeEC.suite());
	suite.addTest(F_Inherit.suite());
	suite.addTest(F_IsModified.suite());
	suite.addTest(F_IsolationEB.suite());
	suite.addTest(F_IsolationEC.suite());
	suite.addTest(F_VariousPKEC.suite());
	suite.addTest(F_EtypePdoubleEC.suite());
	suite.addTest(F_EtypeOdoubleEC.suite());
	suite.addTest(F_EtypePfloatEC.suite());
	suite.addTest(F_EtypeOfloatEC.suite());
	suite.addTest(F_EtypePlongEC.suite());
	suite.addTest(F_EtypeOlongEC.suite());
	suite.addTest(F_EtypePshortEC.suite());
	suite.addTest(F_EtypeOshortEC.suite());
	suite.addTest(F_EtypePbooleanEC.suite());
	suite.addTest(F_EtypeObooleanEC.suite());
	return suite;
    }

    public static void main (String args[]) {
	junit.textui.TestRunner.run(suite());
    }
}
